package server


import (
	cssw "git.loafle.net/commons/server-go/socket/web"
	"git.loafle.net/commons/server-go"
	"net"
	"git.loafle.net/overflow/gateway_rpc/external/grpc"
)

type ServerHandlers struct {
	cssw.ServerHandlers
}

func (sh *ServerHandlers) Init(serverCtx server.ServerCtx) error {
	grpc.ExternalInit()
	return sh.Init(serverCtx)
}

func (sh *ServerHandlers) Listener(serverCtx server.ServerCtx) (net.Listener, error) {
	l, err := net.Listen("tcp", "192.168.1.103:44449")
	if nil != err {
		return nil, err
	}

	return l, nil
}
